Cost / request

$0.01

Response format

JSON

Protocol

REST

About this endpoint

Access X data through agntdata: Search. This endpoint return search results. Responses are structured JSON for AI agents, analytics, and automation — one API key instead of juggling upstream accounts. Ideal when you need tweets, user profiles, followers, search, and hashtag streams programmatically.

Use cases

AI agents that need X data in structured form
Analytics and monitoring pipelines for X content
Research and GTM workflows that combine X signals with other data

Parameters

bodyRequest Body

Content type: application/json

{
  "type": "object",
  "properties": {
    "query": {
      "type": "string"
    },
    "limit": {
      "type": "integer"
    },
    "section": {
      "type": "string"
    },
    "language": {
      "type": "string"
    },
    "min_likes": {
      "type": "integer"
    },
    "min_retweets": {
      "type": "integer"
    },
    "start_date": {
      "type": "string"
    }
  }
}

Responses

Successful Response

{
  "type": "object",
  "properties": {
    "results": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "tweet_id": {
            "type": "string"
          },
          "creation_date": {
            "type": "string"
          },
          "text": {
            "type": "string"
          },
          "media_url": {
            "type": "null"
          },
          "user": {
            "type": "object"
          },
          "language": {
            "type": "string"
          },
          "favorite_count": {
            "type": "integer"
          },
          "retweet_count": {
            "type": "integer"
          },
          "reply_count": {
            "type": "integer"
          },
          "quote_count": {
            "type": "integer"
          },
          "retweet": {
            "type": "boolean"
          },
          "timestamp": {
            "type": "integer"
          }
        }
      }
    },
    "continuation_token": {
      "type": "string"
    }
  }
}

Agent / Developer Schema

Machine-readable formats for integrating this endpoint into AI agents and toolchains.

{
  "operationId": "Search_post__search_search",
  "method": "post",
  "path": "/search/search",
  "summary": "Search",
  "description": "This endpoint return search results",
  "parameters": [],
  "requestBody": {
    "required": false,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "query": {
              "type": "string"
            },
            "limit": {
              "type": "integer"
            },
            "section": {
              "type": "string"
            },
            "language": {
              "type": "string"
            },
            "min_likes": {
              "type": "integer"
            },
            "min_retweets": {
              "type": "integer"
            },
            "start_date": {
              "type": "string"
            }
          }
        },
        "example": {
          "query": "#python",
          "limit": 5,
          "section": "top",
          "language": "en",
          "min_likes": 20,
          "min_retweets": 20,
          "start_date": "2022-01-01"
        }
      }
    }
  },
  "responses": [
    {
      "statusCode": "200",
      "description": "Successful Response",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "results": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "tweet_id": {
                      "type": "string"
                    },
                    "creation_date": {
                      "type": "string"
                    },
                    "text": {
                      "type": "string"
                    },
                    "media_url": {
                      "type": "null"
                    },
                    "user": {
                      "type": "object"
                    },
                    "language": {
                      "type": "string"
                    },
                    "favorite_count": {
                      "type": "integer"
                    },
                    "retweet_count": {
                      "type": "integer"
                    },
                    "reply_count": {
                      "type": "integer"
                    },
                    "quote_count": {
                      "type": "integer"
                    },
                    "retweet": {
                      "type": "boolean"
                    },
                    "timestamp": {
                      "type": "integer"
                    }
                  }
                }
              },
              "continuation_token": {
                "type": "string"
              }
            }
          },
          "example": {
            "results": [
              {
                "tweet_id": "1522312701137018881",
                "creation_date": "Thu May 05 20:30:05 +0000 2022",
                "text": "🐍 Learn how to send emails using Python — https://t.co/dZgXrnB1LK \n#python https://t.co/UveP8fxjKc",
                "media_url": null,
                "user": {
                  "creation_date": "Wed Aug 08 20:44:42 +0000 2012",
                  "user_id": "745911914",
                  "username": "realpython",
                  "name": "Real Python",
                  "follower_count": 140866,
                  "following_count": 166,
                  "is_private": false,
                  "is_verified": false,
                  "location": "",
                  "profile_pic_url": "https://pbs.twimg.com/profile_images/1230295831560896512/C72hyNCj_normal.jpg",
                  "description": "Online #Python Training & Expert Community: Tutorials, Video Courses, Books, Quizzes...and More! Join 3,000,000 Monthly Readers at https://t.co/TyrG6Kkaq6",
                  "external_url": "http://realpython.com",
                  "number_of_tweets": 56616,
                  "bot": false,
                  "timestamp": 1344458682
                },
                "language": "en",
                "favorite_count": 425,
                "retweet_count": 97,
                "reply_count": 5,
                "quote_count": 4,
                "retweet": false,
                "timestamp": 1651782605
              },
              {
                "tweet_id": "1520848051476176896",
                "creation_date": "Sun May 01 19:30:06 +0000 2022",
                "text": "PYTHON BASICS IN ONE IMAGE🔴🔵\nA China-based developer Yusheng has created this brilliant image. #100DaysOfCode #Python #programming #Coding https://t.co/Qa4OhYRJyC",
                "media_url": null,
                "user": {
                  "creation_date": "Thu Nov 11 18:07:50 +0000 2021",
                  "user_id": "1458858920043171840",
                  "username": "Saransh1683",
                  "name": "Saransh Saxena",
                  "follower_count": 59,
                  "following_count": 10,
                  "is_private": false,
                  "is_verified": false,
                  "location": "India",
                  "profile_pic_url": "https://pbs.twimg.com/profile_images/1481272433470423042/pHSks7rq_normal.jpg",
                  "description": "ALWAYS READY TO HELP.\nAnimal Lover |\nTechnology Lover | Post about current affairs and Tech Tricks | Save Earth🌏",
                  "external_url": null,
                  "number_of_tweets": 212,
                  "bot": false,
                  "timestamp": 1636654070
                },
                "language": "en",
                "favorite_count": 406,
                "retweet_count": 173,
                "reply_count": 12,
                "quote_count": 4,
                "retweet": false,
                "timestamp": 1651433406
              },
              {
                "tweet_id": "1521720513525080064",
                "creation_date": "Wed May 04 05:16:57 +0000 2022",
                "text": "Me after emotional burnout be like: \n\n#100DaysOfCode #Python #Java #programminghumor #javascript https://t.co/GWmeewxekO",
                "media_url": null,
                "user": {
                  "creation_date": "Thu Mar 04 20:55:55 +0000 2021",
                  "user_id": "1367579422086357005",
                  "username": "TinaKan11",
                  "name": "Tina Kan",
                  "follower_count": 36,
                  "following_count": 24,
                  "is_private": false,
                  "is_verified": false,
                  "location": "",
                  "profile_pic_url": "https://pbs.twimg.com/profile_images/1377138058378706944/tzsYaoLT_normal.jpg",
                  "description": "Scorpio ♏\nBackend developer 👩‍💻 \nWrite about Java☕, Python🐍 and backend development. \nTry to tweet something interesting every day. 😉",
                  "external_url": "https://github.com/iturkan6",
                  "number_of_tweets": 143,
                  "bot": false,
                  "timestamp": 1614891355
                },
                "language": "en",
                "favorite_count": 195,
                "retweet_count": 85,
                "reply_count": 10,
                "quote_count": 3,
                "retweet": false,
                "timestamp": 1651641417
              },
              {
                "tweet_id": "1522352943734956033",
                "creation_date": "Thu May 05 23:10:00 +0000 2022",
                "text": "💥 A list of python libraries & frameworks!\nSource: @AfricaDataSch\n\n#Python #Framework #Libraries https://t.co/q6pSbrfVGS",
                "media_url": null,
                "user": {
                  "creation_date": "Sun Mar 31 19:25:57 +0000 2013",
                  "user_id": "1318985240",
                  "username": "DataScienceDojo",
                  "name": "Data Science Dojo",
                  "follower_count": 53328,
                  "following_count": 990,
                  "is_private": false,
                  "is_verified": false,
                  "location": "Seattle, WA",
                  "profile_pic_url": "https://pbs.twimg.com/profile_images/1522623516868321283/TtXH9cC2_normal.jpg",
                  "description": "Disrupting the data science education space by offering unique and dynamic courses for individuals and organizations.\n#DSDojo",
                  "external_url": "https://datasciencedojo.com/",
                  "number_of_tweets": 29707,
                  "bot": false,
                  "timestamp": 1364757957
                },
                "language": "en",
                "favorite_count": 1318,
                "retweet_count": 365,
                "reply_count": 7,
                "quote_count": 5,
                "retweet": false,
                "timestamp": 1651792200
              },
              {
                "tweet_id": "1522608710459273218",
                "creation_date": "Fri May 06 16:06:19 +0000 2022",
                "text": "success blueprint 👌\n#AI #DataScience #databases #ArtificialIntelligence #python #DeepLearning https://t.co/KcgiqP3wF4",
                "media_url": null,
                "user": {
                  "creation_date": "Wed Apr 06 17:11:07 +0000 2022",
                  "user_id": "1511753322948141057",
                  "username": "mo_ournani",
                  "name": "Mohamed ournani",
                  "follower_count": 28,
                  "following_count": 30,
                  "is_private": false,
                  "is_verified": false,
                  "location": "",
                  "profile_pic_url": "https://pbs.twimg.com/profile_images/1521619056847167490/cbJPsRD9_normal.jpg",
                  "description": "Programming and artificial intelligence 🤖",
                  "external_url": null,
                  "number_of_tweets": 18,
                  "bot": false,
                  "timestamp": 1649265067
                },
                "language": "en",
                "favorite_count": 258,
                "retweet_count": 94,
                "reply_count": 5,
                "quote_count": 1,
                "retweet": false,
                "timestamp": 1651853179
              }
            ],
            "continuation_token": "scroll:thGAVUV0VFVBYBFoDg562visKfKhIYPBJjwusAAAH0P4BiTdLxqfwAAAAFFRsjPrmVIAAVIFdWDFZgARUePL6gFmAAFSB778IXoAEVIWSOFtcwAmEViIh6FYCJehgEVVNFUjUKFQAVAAA="
          }
        }
      }
    },
    {
      "statusCode": "422",
      "description": "Validation Error",
      "content": {
        "application/json": {
          "schema": {
            "title": "HTTPValidationError",
            "type": "object",
            "properties": {
              "detail": {
                "title": "Detail",
                "type": "array",
                "items": {
                  "title": "ValidationError",
                  "required": [
                    "loc",
                    "msg",
                    "type"
                  ],
                  "type": "object",
                  "properties": {
                    "loc": {
                      "title": "Location",
                      "type": "array",
                      "items": {
                        "anyOf": [
                          {
                            "type": "string"
                          },
                          {
                            "type": "integer"
                          }
                        ]
                      }
                    },
                    "msg": {
                      "title": "Message",
                      "type": "string"
                    },
                    "type": {
                      "title": "Error Type",
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "example": {
            "detail": [
              {
                "loc": [],
                "msg": "",
                "type": ""
              }
            ]
          }
        }
      }
    }
  ]
}

Pricing

$0.01per successful request

Credits are deducted from your agntdata balance on each successful API call. Failed requests (4xx/5xx) are not charged.

Related endpoints

Start using this endpoint

Generate your API key and make your first call in under a minute. Free tier available with transparent pricing.

X APIX data APIsearch APIAI agents data APIX APIX data APIX for AI agents